using CFX;
using CFX.ResourcePerformance;
using CFX.Structures;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 设备参数修改事件
    /// </summary>
    public class StationParametersModifiedEvent
    {
        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle(List<Parameter> parameters)
        {
            CFXMessage eve = null;
            try
            {
                eve = new StationParametersModified()
                {
                    ModifiedParameters = parameters
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
